[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockManagerClass

The DockManager class type, for use when a DockManager is automatically created.

## Declaration

Source position: controls.pp line 527

`type TDockManagerClass = class of TDockManager;`

## See also

TWinControl.CreateDockManager |  | Returns the DockManager for this control.
DefaultDockManagerClass |  | The default class used to create an DockManager in TWinControl.CreateDockManager.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.